configuration_name: ICL-VP_configuration
system:
  filename_output_track_standard: tum_track.sashago
  logging_level: Info
  filename_output_track_txtio: txtio_track_sashago.txtio
  filename_output_track_kitti: kitti_track.sashago
  use_gui: true
  save_open_loop_traj:  true      # true if you want to save track and graph before optimizing the graph
  save_final_traj:      true      # true if you want to save track and graph after optimizing the graph
  save_graph:           true      # true if you want to save the graph - either pre or post optimization
  save_track_kitti:     false      # true if you want to save the track in kitti format - either pre or post optimization
  save_track_tum:       true      # true if you want to save the track in tum format - either pre or post optimization
  save_track_txtio:     false     # true if you want to save the track in txtio format to visualize with nicp
  use_guess:            false     # true if you want to use odometry as initial guess for tracking
message_topics:
  topic_depth: /camera/depth/image
  topic_rgb: /camera/rgb/image_color
  depth_scale: 1000
detector:
  min_distance: 0.05
  max_distance: 10
  max_curvature: 0.002
  col_gap: 5
  row_gap: 5
  normals_blur: 3
  detect_points: true
  detect_lines: true
  detect_planes: true
  
  point_detector_descriptors_type: ORB
  point_detector_threshold_minimum: 25
  point_detector_threshold_maximum_change: 0
  point_detector_threshold_maximum: 100
  point_detector_threshold_maximum_change: 1 
  point_detector_vertical_detectors: 2
  point_detector_horizontal_detectors: 2
  point_detector_bin_size_pixels: 15
  point_detector_target_number_of_keypoints_tolerance: 0.1
  point_detector_nonmax_suppression: true
  
  line_detector_scale: 2
  line_detector_num_octaves: 1
  line_detector_lp2t_threshold: 40
  line_detector_bp2d_threshold: 0.005
  line_detector_width_of_band: 14
  line_detector_distance_resolution: 1
  line_detector_angle_resolution: 180
  line_detector_vote_threshold: 160
  line_detector_min_line_length: 45
  line_detector_max_line_gap: 0
  plane_detector_min_cluster_points: 1200
  sema_det_path: "/path/to/gtAnno.txt"
nn_correspondence_finder:
  normal_scale: 10
  tree_max_distance: 1.0
  leaf_range: 0.9
  direction_scale: 1
  hamming_point_threshold: 15
  hamming_line_threshold: 25
aligner:
  use_support_weight: false
  use_direct_solver: false
  max_iterations: 35
tracker:
  age_threshold_line: 6
  direction_distance_threshold: 0.5
  age_threshold_point: 6
  scene_percentage_for_break: 0.5
  resolution: 0.015
  point_distance_threshold: 0.03
  age_threshold_plane: 15
  maximum_matching_distance: 20
  recursive_edge_generation: false
relocalizer:
  maximum_matching_distance: 12
  frame_interspace: 100
  min_relocalization_matches: 20
  min_relocalization_score: 0.2
loop_closer:
  num_iterations: 30
  optimization_kernel: Huber
  g2o_filename: graph.g2o
  use_kernel: true
  online_optimization: false
